#!/usr/bin/env bash

## Author : Aditya Shakya (adi1090x)
## Github : @adi1090x
## Modified : spinach
#
## Rofi   : Launcher (Modi Drun, Run, File Browser, Window)
#
## Available Styles
#
## dropdown-transparent dropdown-text
## fullscreen-transparent small-transparent

dir="$HOME/.config/rofi/launchers"
theme='small-transparent'
# theme override
if [[ -n "$1" ]] ; then
    theme="$1"
fi

echo "$theme"
## Run
rofi \
    -show drun \
    -theme ${dir}/${theme}.rasi
